﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトル
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*title
[title name="ドアや窓の検証"]

;─────────────────────────────
*start


;─────────────────────────────
;リプレイ記録開始

*replay_hint01
[setreplay name="replay_hint01"]


[cm]

;メッセージエリアの非表示
@layopt layer=message0 page=fore visible=false
@layopt layer=message0 page=back visible=false


;画像の先読み
[preload storage="data/bgimage/stage03.jpg"]

;表示
[back storage ="stage03.jpg" time="500"]


;─────────────────────────────
;タイトル・アニメーション

[an_title name="title1" title="ドアや窓の検証" sub="物的証拠：１／４"]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ドアや窓の検証
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

@layopt layer=message0 visible=true

;-----------------------------------------------------------
;テキスト選択：諜報

[if exp="sf.player_skill=='spy'"]
[emb exp="sf.player_person"]たちは、入出経路として、玄関と裏の勝手口、そしてすべての窓を確認した。[r][l]
窓はいずれも、雨戸か窓格子で閉鎖されており、窃盗犯が指で触れた痕跡はなかった。[r][l]
念のため、どの窓も特殊ライト（ＡＬＳ）とルーペを使って観察したが、何者かが侵入を試みたことを示す工具痕はなかった。[p]


次に[emb exp="sf.player_person"]は、勝手口を調べた。[r][l]
裏のドアは、内側からしか操作できないボルト錠がおりていて、ドアチェーンまでかかっていた。[r][l]
ドアノブはホコリで汚れ、誰の指紋もなかった。[r][l]
このドアが最後に使用されてから、かなりの時間が経過している。[p]


最後に正面の玄関ドアを調べた。[r][l]
[emb exp="sf.player_person"]は、小野寺の許可を得て、ピッキングツールでの解錠を試みた。[r][l]
鍵は比較的ピッキングに強いディンプル錠だったが、一流の腕を持つ[emb exp="sf.player_person"]は３分２７秒で解錠できた。[r][l]
しかし、窃盗犯が監視カメラの前で何分もかけてピッキング行為におよぶとは考えられない。[p]

[endif]


;-----------------------------------------------------------
;テキスト選択：犯罪学

[if exp="sf.player_skill=='criminology'"]
[emb exp="sf.player_person"]たちは、入出経路として、玄関と裏の勝手口、そしてすべての窓を確認した。[r][l]

窓はいずれも、雨戸か窓格子で閉鎖されており、窃盗犯が指で触れた痕跡はなかった。[r][l]
ここで七海さんが秘密道具と称して、トランクケースから特殊ライト（ＡＬＳ）とルーペを取りだしてきた。[p]

[font color=0xffff99]
【青貫 七海】[r]
[resetfont]
[font color=0xffffcc]
「どの窓にも、窃盗犯が細工した工具痕はないわね」[r][l]
「犯人が出入りした窓は、絶対に存在しないわ！」[p]
[resetfont]

次に[emb exp="sf.player_person"]は勝手口を調べた。[r][l]
裏のドアは、内側からしか操作できないボルト錠がおろしてあり、ドアチェーンまでかかっていた。[r][l]
ドアノブはホコリで汚れ、誰の指紋もなかった。[r][l]
このドアが最後に使用されてから、かなりの時間が経過していることは明白だろう。[p]

最後に正面の玄関ドアを調べたとき――[r][l]
彼女がまた秘密道具を取りだし始めた。[r][l]
彼女の手にはピッキングツールが握られていた。[p]


[font color=0xffff99]
【青貫 七海】[r]
[resetfont]
[font color=0xffffcc]
「[emb exp="sf.player_nickname"]。解錠に挑戦するから、タイムを測って！」[r][r][l]
[resetfont]
[emb exp="sf.player_person"]は、小野寺に事情を説明した。[p]

鍵は比較的ピッキングに強いディンプル錠だったが、かなりの腕前を自負する七海さんは、４分５９秒で解錠に成功した。[r][l]
しかしながら、窃盗犯が監視カメラの目の前でピッキングに何分もかける行為は、およそ現実的ではない。[p]

[endif]


;─────────────────────────────
;リプレイ記録終了
[endreplay] 


;─────────────────────────────
;終了

[if exp="f.hint01==false"]
[eval exp="f.hint01 = true"]
[eval exp="f.hint_total = f.hint_total + 1"]
[endif]

@jump storage=stage03.ks target=*hint_select
