﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトル
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*title
[title name="保管室"]

;─────────────────────────────
*start


;─────────────────────────────
;リプレイ記録開始

*replay_stage04
[setreplay name="replay_stage04"]


[cm]

;メッセージエリアの非表示
@layopt layer=message0 page=fore visible=false
@layopt layer=message0 page=back visible=false


;画像の先読み
[preload storage="data/bgimage/stage04.jpg"]

;表示
[back storage ="stage04.jpg" time="500"]


;─────────────────────────────
;タイトル・アニメーション

[an_title name="title3" title="保　管　室" sub="１２月８日（土）１５時４５分"]

;曲を再生する
[playbgm storage=debussy_bergamasque_meneut.mp3 loop=false]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
@layopt layer=message0 visible=true

[emb exp="sf.player_person"]たちは、小野寺に続いて屋敷へ入った。[r][l]
玄関の正面には、まっすぐ廊下が伸びており、突き当たりに勝手口と二階へ上がる階段がみえる。[r][l]
屋敷の間取りは、玄関から見て、右側は手前から、控え室・応接間・保管室と並び、左側には手前からキッチン・ダイニング・トイレ・風呂場と続いている。[p]

@layopt layer=message0 visible=false

;画像を表示する -----------------
[image storage=floor_planpng.png layer=1 visible=true top=30 left=110]
[p]

@layopt layer=message0 visible=true

[emb exp="sf.player_person"]たちは、控え室を抜けて応接間へ向かった。[r][l]
控え室と応接間は共に廊下へ面しているが、ふたつの部屋は奥のドアでつながっている。[r][l]
控え室には、コート掛けや待合長イスなどが置かれており、荷物棚には四人の手荷物が置いてある。[r][l]
[emb exp="sf.player_person"]は、所持品検査のときまで、誰も荷物に触れないよう注意を呼びかけた。[p]


応接間に入ると、三人の孫たちが三者三様の表情でこちらへ視線を向けてくる。[r][l]
裕嗣は見るからに苛立ち、初実は不安そうにうつむき、宗介は静かに表情を押し殺している。[r][l]

彼ら四人は、到着以来、控え室か保管室か応接間にしか入っていないと口を揃えて証言している。[r][l]
時間がないので他の部屋の捜索は後回しにする。[p]

;画像を消去する -----------------
[freeimage layer=1]


[emb exp="sf.player_person"]は、彼らにもう少し待ってもらい、先に保管室を調べることにした。[r][l]
四人に単独行動を慎み、応接間で待機しておくよう要請した[emb exp="sf.player_person"]たちは、保管室へ入っていった。[p]


;画像を表示する -----------------
@layopt layer=message0 visible=false

[image storage=floor_vault.png layer=1 visible=true top=30 left=110]
[p]

@layopt layer=message0 visible=true

;-----------------
保管室は、物置のような３畳ほどの部屋だった。[r][l]
大人が三人で入室するとかなり狭い。[r][l]
窓はなく、奥の壁の上方にエアコンを設置する通風口がひとつあるだけだった。[r][l]
室内には奥と左右の三面にラックが設置されており、宝石を収めたアタッシュケースがコの字状に１１個ずらりと並んでいる。[p]


;画像を消去する -----------------
[freeimage layer=1]


@stopbgm


;─────────────────────────────
;リプレイ記録終了
[endreplay] 

;─────────────────────────────
;手がかりの一覧

*hint_select

[if exp="f.hint_total>=4"]

[eval exp="f.stage04 = true"]
@jump storage=stage00.ks target=*start

[else]

[font color=0x99ccff]【保管室の捜索】[r][r][resetfont]

[if exp="f.hint03==false"]
[link storage=hint03.ks target=*start][click]【捜索】 保管室の抜け道を調べる。[endlink][r]
[endif]

[if exp="f.hint04==false"]
[link storage=hint04.ks target=*start][click]【捜索】 アタッシュケースを調べる。[endlink][r]
[endif]

[s]

[endif]

[s]
