/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};
   fonts['Meiryo, \'MS Serif\', \'New York\', serif']='';


var resources = [
];
var symbols = {
"stage": {
   version: "1.0.0",
   minimumCompatibleVersion: "0.1.7",
   build: "1.0.0.185",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: true,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'Rectangle',
            type:'rect',
            rect:['-324','-250','480','80','auto','auto'],
            opacity:0.8,
            fill:["rgba(0,0,0,1.00)"],
            stroke:[0,"rgba(0,0,0,1)","none"],
            userClass:"Rectangle",
            transform:[]
         },
         {
            id:'SubTitle',
            type:'text',
            rect:['430','45','0','0','auto','auto'],
            text:"サブタイトル",
            align:"right",
            font:['Meiryo, MS Serif, New York, serif',24,"rgba(255,255,255,1)","600","none","normal"],
            transform:[]
         },
         {
            id:'Title',
            type:'text',
            rect:['1','7px','0','0','auto','auto'],
            text:"タイトル",
            font:['Meiryo, MS Serif, New York, serif',24,"rgba(255,255,255,1.00)","600","none","normal"],
            transform:[]
         },
         {
            id:'CenterLine',
            type:'rect',
            rect:['0','40','480','1','auto','auto'],
            opacity:1,
            fill:["rgba(255,255,255,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"]
         }],
         symbolInstances: [

         ]
      },
   states: {
      "Base State": {
         "${_Title}": [
            ["color", "color", 'rgba(255,255,255,1.00)'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '500px'],
            ["style", "top", '200px'],
            ["style", "font-style", 'normal'],
            ["style", "font-family", 'Meiryo, MS Serif, New York, serif'],
            ["style", "font-size", '26px'],
            ["style", "font-weight", '600']
         ],
         "${_Stage}": [
            ["style", "height", '480px'],
            ["style", "overflow", 'hidden'],
            ["color", "background-color", 'rgba(0,0,0,0.00)'],
            ["style", "width", '640px']
         ],
         "${_Rectangle}": [
            ["color", "background-color", 'rgba(0,0,0,1.00)'],
            ["style", "top", '200px'],
            ["style", "height", '80px'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '640px']
         ],
         "${_CenterLine}": [
            ["color", "background-color", 'rgba(255,255,255,1.00)'],
            ["style", "top", '239px'],
            ["style", "height", '1px'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '0px']
         ],
         "${_SubTitle}": [
            ["style", "opacity", '0'],
            ["style", "left", '140px'],
            ["style", "width", '500px'],
            ["style", "top", '240px'],
            ["style", "text-align", 'right'],
            ["style", "font-size", '26px'],
            ["style", "font-family", 'Meiryo, MS Serif, New York, serif'],
            ["style", "text-decoration", 'none'],
            ["style", "font-weight", '600']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: false,
         timeline: [
            { id: "eid57", tween: [ "style", "${_CenterLine}", "width", '640px', { fromValue: '0px'}], position: 0, duration: 500, easing: "easeInOutQuad" },
            { id: "eid59", tween: [ "style", "${_SubTitle}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid60", tween: [ "style", "${_SubTitle}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid51", tween: [ "style", "${_Title}", "left", '50px', { fromValue: '0px'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid52", tween: [ "style", "${_Title}", "left", '0px', { fromValue: '50px'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid53", tween: [ "style", "${_Title}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid54", tween: [ "style", "${_Title}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid55", tween: [ "style", "${_CenterLine}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 375 },
            { id: "eid56", tween: [ "style", "${_CenterLine}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500 },
            { id: "eid61", tween: [ "style", "${_SubTitle}", "left", '90px', { fromValue: '140px'}], position: 0, duration: 500 },
            { id: "eid62", tween: [ "style", "${_SubTitle}", "left", '140px', { fromValue: '90px'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid64", tween: [ "style", "${_Rectangle}", "opacity", '0.8', { fromValue: '0'}], position: 0, duration: 500 },
            { id: "eid65", tween: [ "style", "${_Rectangle}", "opacity", '0', { fromValue: '0.8'}], position: 1500, duration: 500 }         ]
      }
   }
},
"SymTitle": {
   version: "1.0.0",
   minimumCompatibleVersion: "0.1.7",
   build: "1.0.0.185",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: true,
   resizeInstances: false,
   content: {
   dom: [
   {
      rect: ['-324','-250','480','80','auto','auto'],
      transform: {},
      stroke: [0,'rgba(0,0,0,1)','none'],
      id: 'Rectangle',
      opacity: 0.8,
      type: 'rect',
      fill: ['rgba(0,0,0,1.00)']
   },
   {
      rect: ['430','45','0','0','auto','auto'],
      transform: {},
      font: ['Meiryo, MS Serif, New York, serif',24,'rgba(255,255,255,1)','normal','none','normal'],
      id: 'SubTitle',
      text: 'サブタイトル',
      align: 'right',
      type: 'text'
   },
   {
      rect: ['0','40','480','1','auto','auto'],
      stroke: [0,'rgb(0, 0, 0)','none'],
      id: 'CenterLine',
      opacity: 1,
      type: 'rect',
      fill: ['rgba(255,255,255,1.00)']
   },
   {
      type: 'text',
      rect: ['1','7px','0','0','auto','auto'],
      id: 'Title',
      text: 'タイトル',
      font: ['Meiryo, MS Serif, New York, serif',24,'rgba(255,255,255,1.00)','normal','none','normal'],
      transform: {}
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_Title}": [
            ["style", "top", '0px'],
            ["style", "font-size", '26px'],
            ["style", "font-style", 'normal'],
            ["style", "font-family", 'Meiryo, MS Serif, New York, serif'],
            ["color", "color", 'rgba(255,255,255,1.00)'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '500px']
         ],
         "${symbolSelector}": [
            ["style", "height", '80px'],
            ["style", "width", '640px']
         ],
         "${_CenterLine}": [
            ["color", "background-color", 'rgba(255,255,255,1.00)'],
            ["style", "top", '40px'],
            ["style", "height", '1px'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '0px']
         ],
         "${_Rectangle}": [
            ["color", "background-color", 'rgba(0,0,0,1.00)'],
            ["style", "top", '0px'],
            ["style", "height", '80px'],
            ["style", "opacity", '0'],
            ["style", "left", '0px'],
            ["style", "width", '640px']
         ],
         "${_SubTitle}": [
            ["style", "top", '40px'],
            ["style", "font-size", '26px'],
            ["style", "text-align", 'right'],
            ["style", "left", '140px'],
            ["style", "opacity", '0'],
            ["style", "font-family", 'Meiryo, MS Serif, New York, serif'],
            ["style", "text-decoration", 'none'],
            ["style", "width", '500px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: false,
         timeline: [
            { id: "eid69", tween: [ "style", "${_CenterLine}", "width", '640px', { fromValue: '0px'}], position: 0, duration: 500, easing: "easeInOutQuad" },
            { id: "eid76", tween: [ "style", "${_SubTitle}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid77", tween: [ "style", "${_SubTitle}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid67", tween: [ "style", "${_CenterLine}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 375 },
            { id: "eid68", tween: [ "style", "${_CenterLine}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500 },
            { id: "eid74", tween: [ "style", "${_SubTitle}", "left", '90px', { fromValue: '140px'}], position: 0, duration: 500 },
            { id: "eid75", tween: [ "style", "${_SubTitle}", "left", '140px', { fromValue: '90px'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid70", tween: [ "style", "${_Title}", "left", '50px', { fromValue: '0px'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid71", tween: [ "style", "${_Title}", "left", '0px', { fromValue: '50px'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid72", tween: [ "style", "${_Title}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 500, easing: "easeOutQuad" },
            { id: "eid73", tween: [ "style", "${_Title}", "opacity", '0', { fromValue: '1'}], position: 1500, duration: 500, easing: "easeOutQuad" },
            { id: "eid32", tween: [ "style", "${_SubTitle}", "top", '40px', { fromValue: '40px'}], position: 500, duration: 0, easing: "easeOutQuad" },
            { id: "eid17", tween: [ "style", "${_Rectangle}", "height", '80px', { fromValue: '80px'}], position: 330, duration: 0 },
            { id: "eid78", tween: [ "style", "${_Rectangle}", "opacity", '0.8', { fromValue: '0'}], position: 0, duration: 500 },
            { id: "eid79", tween: [ "style", "${_Rectangle}", "opacity", '0', { fromValue: '0.8'}], position: 1500, duration: 500 }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-TYRANO");
