﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]


;=========================================
; 回想モード　画面作成
;=========================================
*start

[cm]

[back storage="replay.jpg" time="500"]
[layopt layer=1 visible=true]
[ptext layer=1 page=fore text="REPLAY" x=20 y=20 size=26 color=white visible=true]

[iscript]
    
    tf.page = 0;
    tf.cg_index = 0; 
    
    tf.replay_length = tf.replay_array.length;
    
    tf.selected_replay_obj = ""; //選択されたリプレイを一時的に保管
    
    
[endscript]

*replaypage
[cm]
[button graphic="button_backtitle.png" target="*backtitle" x=485 y=20 ]

[iscript]
    tf.tmp_index = 0;
    tf.cg_index = 21 * tf.page;
    tf.top = 90;
    tf.left = 25;
    
[endscript]

*replayview

[if exp ="sf.replay_viewd[tf.replay_array[tf.cg_index].target]" ]

    [button graphic=&tf.replay_array[tf.cg_index].image x=&tf.left y=&tf.top width=139 height=31 exp="tf.selected_replay_obj = tf.replay_array[preexp]" target="*clickcg" folder="bgimage" preexp="tf.cg_index" ]
    
[else]

    [button graphic=replay_uninvestigated.png x=&tf.left y=&tf.top width=139 height=31 folder="bgimage" target="*no_image"]
    
[endif]

[iscript]

    tf.tmp_index++;
    tf.cg_index++;
    tf.left += 139 + 10;

[endscript]

;1ページに21 枚

[if exp=" tf.tmp_index == 21 || tf.cg_index >= tf.cg_length"]
    @jump target="*endpage"
[endif]

[if exp="tf.tmp_index % 4 == 0 "]
    [iscript]
        tf.top += 31 + 10;
        tf.left = 25;
    [endscript]
[endif]

@jump target="*replayview"

*endpage

[if exp="tf.page !=0"]
    
    [button target="*backpage" graphic=backpage.png x=485 y=320  ]
            
[endif]

[if exp="tf.cg_length > tf.cg_index"]

    [button target="*nextpage" graphic=nextpage.png x=325 y=320  ]

[endif]


[s]

*backtitle
[cm]
[freeimage layer=1]
@jump storage=title.ks

*nextpage
[emb exp="tf.page++;"]
@jump target="*replaypage"


*backpage
[emb exp="tf.page--;"]
@jump target="*replaypage"

*clickcg
[cm]

[showmenubutton]

[iscript]
    tf.flag_replay = true;
[endscript]

@jump storage=&tf.selected_replay_obj.storage target=&tf.selected_replay_obj.target
[s]

*no_image

@jump  target=*replaypage



