﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトル
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*title
[title name="控え室"]

;─────────────────────────────
*start


;─────────────────────────────
;リプレイ記録開始

*replay_stage05
[setreplay name="replay_stage05"]


[cm]

;メッセージエリアの非表示
@layopt layer=message0 page=fore visible=false
@layopt layer=message0 page=back visible=false


;画像の先読み
[preload storage="data/bgimage/stage05.jpg"]

;表示
[back storage ="stage05.jpg" time="500"]


;─────────────────────────────
;タイトル・アニメーション

[an_title name="title3" title="控　え　室" sub="１２月８日（土）１６時２０分"]

;曲を再生する
[playbgm storage=debussy_bergamasque_passepied.mp3 loop=false]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
@layopt layer=message0 visible=true


保管室の検証を終えた[emb exp="sf.player_person"]は、いよいよ四人に対する面談を行うことした。[r][l]
この面談には当然ながら所持品検査が含まれる。[r][l]
四人と個別に話すため、控え室を使う。[r][l]
残り３名には応接間で待機してもらおう。[p]


タイムリミットまで後１００分ほど残っている。[r][l]
面談に一人当たり２０分ずつ費やせば、最後に証言をまとめる時間が取れるだろう。[r][l]
面談では、最初の５分間は、誰に対しても事件に関する直接的な質問は避けて、対話しやすい雰囲気を作ることに専念する。[p]


その後は全員に同じ質問を行おう。[r][l]
事件が立体的に掴め、矛盾点がわかるはずだ。[r][l]
口裏を合わせないよう応接間の面々には、会話を禁じておく必要がある。[r][l]
質問の内容は基本的に次の通り。[p]

[font color=0x99ccff]【質問内容】[resetfont][r][r]

・依頼人との関係[r][l]
・他の三人との関係[r][l]
・首飾りを最後に見たのはいつか[r][l]
・屋敷に到着してからの行動を詳細に[p]

;-----------------------------------------------------------
;テキスト選択：諜報

[if exp="sf.player_skill=='spy'"]

なお、教授には人の嘘を見抜く技術がある。[r][l]
人間の表情とは、感情を外部に発信する本能的な反応なので、人は嘘をつくと発言内容と微表情やしぐさに差異が生じる。[r][l]
教授の嘘発見は、直観ではなく、コンマ一秒の反応を精確に読み解く技術なのだ。[p]


なお、嘘発見には話術の巧みさも求められる。[r][l]
つまり、いきなり「あなたはダイヤを盗みましたか？」と、誰でも予測できる質問をしたところで、準備済みの回答が無表情で返ってくるだけなのだ。[p]

[endif]


;-----------------------------------------------------------
;テキスト選択：犯罪学

[if exp="sf.player_skill=='criminology'"]

なお、[emb exp="sf.player_person"]は、犯罪心理学の専門家なので、どんな嘘も見抜くことができる。[r][l]
人間の表情とは、感情を外部に発信する本能的な反応なので、人は嘘をつくと発言内容と微表情やしぐさに差異が生じてしまう。[r][l]
[emb exp="sf.player_person"]の嘘発見は、直観ではなく、コンマ一秒の反応を精確に読み解く技術なのだ。[p]


また、嘘発見には話術の巧みさも求められる。[r][l]
つまり、いきなり「あなたはダイヤを盗みましたか？」といった、誰にでも予想できる質問をしても、準備済みの回答しか返ってこないため、対象の反応を正しく観察できない。[p]

[endif]


@stopbgm


;─────────────────────────────
;リプレイ記録終了
[endreplay] 


;─────────────────────────────
;手がかりの一覧

*hint_select

[if exp="f.hint_total>=8"]

[eval exp="f.stage05 = true"]
@jump storage=stage00.ks target=*start

[else]

[font color=0x99ccff]【控え室での面談】[r][r][resetfont]

[if exp="f.hint05==false"]
[link storage=hint05.ks target=*start][click]【証言】 小野寺の面談。[endlink][r]
[endif]

[if exp="f.hint06==false"]
[link storage=hint06.ks target=*start][click]【証言】 裕嗣の面談。[endlink][r]
[endif]

[if exp="f.hint07==false"]
[link storage=hint07.ks target=*start][click]【証言】 初実の面談。[endlink][r]
[endif]

[if exp="f.hint08==false"]
[link storage=hint08.ks target=*start][click]【証言】 宗介の面談。[endlink][r]
[endif]

[s]

[endif]

[s]
