﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトル
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*title
[title name="推理"]

;─────────────────────────────
*start


;─────────────────────────────
;リプレイ記録開始

*replay_stage07
[setreplay name="replay_stage07"]


[cm]

;メッセージエリアの非表示
@layopt layer=message0 page=fore visible=false
@layopt layer=message0 page=back visible=false


;画像の先読み
[preload storage="data/bgimage/stage07.jpg"]


;曲を再生する
[playbgm storage=debussy_Childrens_snow.mp3 loop=false]


;表示
[back storage ="stage07.jpg" time="500"]

@layopt layer=message0 visible=false

[an_title name="title3" title="推　理" sub="謎解きの始まり"]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

@layopt layer=message0 visible=true

[emb exp="sf.player_person"]たちは、青い首飾を探すため、この屋敷へ来た。[r][l]
しかし、『幸運な花嫁』は、あまりにもあっけなく、その姿を現してしまった――[r][r][l]

さらなる謎とともに……[p]


今や、[emb exp="sf.player_person"]たちが推理すべきことは――[r][r][l]

誰が？（Whodunit.）[r][l]
どうやって？（Howdunit.）[r][l]
なぜ？（Whydunit.）[r][r][l]

あの首飾りを盗んだか、ということではない。[p]


[emb exp="sf.player_person"]たちは、推理を始める前に、正しいスタート地点に立たなければならない。[r][r][l]

何が起きてしまったか……（What has happened.）[r][r][l]

[emb exp="sf.player_person"]たちの目の前には、事実として三つの問題が存在し、その影で真犯人が邪悪な笑みを浮かべている。[p]


すなわち――[r][r][l]

ブルーダイヤが初実の鞄に入っていたこと。[r][l]
ピンクダイヤの贋作が裕嗣の鞄から見つかったこと。[r][l]
他のダイヤはすべて残っていたこと。[r][r][l]

これらすべてが真犯人の目論み通りなのだ。[p]

[font color=0x99ccff]
【[emb exp="sf.player_name"]】[r]
[resetfont]
[font color=0xccffff]
「さぁ、推理を始めましょう……」[p]
[resetfont]

@stopbgm

;─────────────────────────────
;リプレイ記録終了
[endreplay] 

;─────────────────────────────
[font color=0xcc66ff]【製品版へ続く】[resetfont][r][r][l]

『犯罪都市／幸運な花嫁：体験版』をプレイしていただ
いてありがとうございました。[r][r][l]

あなたの名推理が見事、謎を解明しているか――[r]
その答えは製品版のお楽しみです。[p]


この事件は誰が何のためにどんな手で仕組んだか。[r][l]
謎解きに必要な手がかりはすでに出揃っています。[r][l]
新たな証言や物証は製品版でも登場しません。[r][r][l]
もちろん、もう少しヒントが欲しい人も安心です。[r][l]
製品版には手がかりをどう解釈すべきか、推理の方
針を相棒とトークする様子も展開します。[p]


[font color=0xcc66ff]【製品版の内容】[resetfont][r][r]

[font color=0xcc66ff]【方針】[resetfont] 推理の方針について。[r][l]
[font color=0xcc66ff]【仮説１】[resetfont] 小野寺 犯人説。[r][l]
[font color=0xcc66ff]【仮説２】[resetfont] 裕嗣 犯人説。[r][l]
[font color=0xcc66ff]【仮説３】[resetfont] 初実 犯人説。[p]


[font color=0xcc66ff]【製品版の内容】[resetfont][r][r]

[font color=0xcc66ff]【仮説４】[resetfont] 宗介 犯人説。[r][l]
[font color=0xcc66ff]【ヒントコーナー】[resetfont] ミステリーテラーからのヒント。[r][l]
[font color=0xcc66ff]【解決編】[resetfont] 真相が解明します。[r][l]
[font color=0xcc66ff]【エンディング】[resetfont] 意外な後日談。[p]


それでは、決着の舞台にて――[r]
あなたの名推理をお待ちしています！[r][r]
[font color=0xcc66ff]ミステリーテラー：Plotrick（プロトリック）[resetfont] [p]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;変数の初期化
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
[eval exp="f.hint_total = 0"]

[eval exp="f.hint01 = false"]
[eval exp="f.hint02 = false"]
[eval exp="f.hint03 = false"]
[eval exp="f.hint04 = false"]
[eval exp="f.hint05 = false"]
[eval exp="f.hint06 = false"]
[eval exp="f.hint07 = false"]
[eval exp="f.hint08 = false"]
[eval exp="f.hint09 = false"]
[eval exp="f.hint10 = false"]
[eval exp="f.hint11 = false"]
[eval exp="f.hint12 = false"]

[eval exp="f.stage01 = false"]
[eval exp="f.stage02 = false"]
[eval exp="f.stage03 = false"]
[eval exp="f.stage04 = false"]
[eval exp="f.stage05 = false"]
[eval exp="f.stage06 = false"]
[eval exp="f.stage07 = false"]
[eval exp="f.stage08 = false"]
[eval exp="f.stage09 = false"]

;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトルに戻る
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

[iscript]
location.reload();
[endscript]
[s]
